Bug 42980 - Warning popup when clicking on appliance category links
Warning popup when clicking on appliance category links
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC (Generic)
UCS 4.1
Other Linux
: P5 normal (vote)
: UCS 4.1-4-errata
Assigned To: Eduard Mai
Erik Damrose
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-17 11:02 CET by Erik Damrose
Modified: 2016-12-14 12:36 CET (History)
1 user (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 1: Cosmetic issue or missing function but workaround exists
Who will be affected by this bug?: 2: Will only affect a few installed domains
How will those affected feel about the bug?: 2: A Pain – users won’t like this once they notice it
User Pain: 0.023
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Appliance
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Erik Damrose univentionstaff 2016-11-17 11:02:50 CET
When clicking on a link on the appliance app category, for example the link to the app webinterface, the following warning is shown:

Warning popup: Modul "js_$20161711102738$/umc/modules/appliance_web.js" konnte nicht geladen werden.

Browser console: Failed to load resource: the server responded with a status of 404 (Not Found) http://ucs/univention-management-console/js_$20161711102738$/umc/modules/appliance_web.js

The filename is dynamically loaded based on IDs in base/univention-app-appliance/conffiles/usr/share/univention-management-console/modules/appliance.xml
Comment 1 Eduard Mai univentionstaff 2016-12-06 15:15:52 CET
r75030 fixes a wrongly shown error pop-ups when clicking a link on the overview.

UCS 4.1-4:
Package: univention-management-console-frontend
Version: 5.0.63-58.1252.201612061426

UCS 4.2-0:
r75033: merge
Package: univention-management-console
Version: 9.0.13-3A~4.2.0.201612061505
Comment 2 Eduard Mai univentionstaff 2016-12-06 15:24:45 CET
r75037 adjusts YAML.
Comment 3 Erik Damrose univentionstaff 2016-12-09 10:40:03 CET
OK: No popup generated
OK: Yaml, i slightly adapted the wording
OK: Merge to ucs 4.2
Verified
Comment 4 Janek Walkenhorst univentionstaff 2016-12-14 12:36:48 CET
<http://errata.software-univention.de/ucs/4.1/358.html>